Subject: [Idr] [Editorial Errata Reported] RFC4273 (3782)

From: RFC Errata System <[email-masked]>
Date: Mon, 4 Nov 2013 22:40:27 -0800 (PST)

The following errata report has been submitted for RFC4273,
"Definitions of Managed Objects for BGP-4".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4273&eid=3782

--------------------------------------
Type: Editorial
Reported by: Ramakrishna DTV <[email-masked]>

Section: 5

Original Text
-------------
There are several management objects defined in this MIB that have a
MAX-ACCESS clause of read-write and/or read-create.

Corrected Text
--------------
There are several management objects defined in this MIB that have a
MAX-ACCESS clause of read-write.

Notes
-----
No object in this MIB has MAX-ACCESS clause of "read-create".

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4273 (draft-ietf-idr-bgp4-mib-15)
--------------------------------------
Title               : Definitions of Managed Objects for BGP-4
Publication Date    : January 2006
Author(s)           : J. Haas, Ed., S. Hares, Ed.
Category            : PROPOSED STANDARD
Source              : Inter-Domain Routing
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 6 Nov 2013 19:30:54 -0500

> "Definitions of Managed Objects for BGP-4".

The cited text is standard SNMP MIB boilerplate.  The alternative as
specified by "and/or" is a standard English shorthand for "both may be
present or one may be present".  Thus while the reporter is correct, I do
not believe anything would be altered today.

My recommendation is that the reporter work with the MIB doctors to adjust
standard Internet boilerplate.

-- Jeff

---

From: RAMAKRISHNADTV <[email-masked]>
Date: Mon, 11 Nov 2013 10:53:04 +0000

Thank you for the clarification.

While I agree that the current text is technically correct, it is less precise.
That's why I wanted to update it. I was not aware of the standard SNMP MIB boiler
plate.

While I agree that the best place to get it corrected is SNMP MIB boiler plate
itself,  it appears that SNMP MIB boiler plate already allows its text to be
tuned for individual RFCs in this regard.

The following MIB RFCs seem to have tuned the boiler plate text exactly in the
same way I was suggesting for RFC 4273:

RFC 6825
    "There are several objects defined in this MIB module that have a MAX-
     ACCESS clause of read-write."

RFC 4044
    "There are a number of management objects defined in this MIB that
     have a MAX-ACCESS clause of read-write:"

RFC 4022
    "There are a number of management objects defined in this MIB module
     with a MAX-ACCESS clause of read-write."

RFC 3418
    "There are a number of management objects defined in this MIB that
     have a MAX-ACCESS clause of read-write."

Thanks and regards,
Ramakrishna DTV.

-- Jeff
**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***